SVM_Light (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.tools.SVM_Light class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm.tools
Class SVM_Light

    java.lang.Object
      org.biojava.stats.svm.tools.SVM_Light

    public class SVM_Light

extends Object

Author:
  Thomas Down, Greg Cox

Nested Class Summary
`static class` | `SVM_Light.LabelledVector`

Constructor Summary
`SVM_Light()`

Method Summary
`static String` | `firstToken(String s)`
`static SVM_Light.LabelledVector` | `parseExample(String ex)`
`static SVMClassifierModel` | `readModelFile(String fileName)`
`static String` | `vectorToString(SparseVector v)`
`static void` | `writeModelFile(SVMClassifierModel model, String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVM_Light

    public SVM_Light()

Method Detail

### parseExample

    public static SVM_Light.LabelledVector parseExample(String ex)
                                                 throws NumberFormatException

  Throws:
    `NumberFormatException`

### vectorToString

    public static String vectorToString(SparseVector v)

### readModelFile

    public static SVMClassifierModel readModelFile(String fileName)
                                            throws IOException

  Throws:
    `IOException`

### writeModelFile

    public static void writeModelFile(SVMClassifierModel model,
                                      String fileName)
                               throws IOException

  Throws:
    `IOException`

### firstToken

    public static String firstToken(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD